> ## Documentation Index
> Fetch the complete documentation index at: https://docs.vambe.me/llms.txt
> Use this file to discover all available pages before exploring further.

# List WhatsApp Flows

> Retrieve the WhatsApp Flows of the account, returning only their id and name, paginated with page/pageSize. Use the id to fetch flow responses.



## OpenAPI

````yaml get /api/public/whatsapp-flows
openapi: 3.0.0
info:
  title: Vambe AI API
  description: Vambe AI documentation
  version: '1.0'
  contact: {}
servers:
  - url: https://api.vambe.me
    description: Production Server
security: []
tags:
  - name: Vambe AI
    description: ''
paths:
  /api/public/whatsapp-flows:
    get:
      tags:
        - WhatsApp Flows
      summary: List WhatsApp Flows
      description: >-
        Retrieve the WhatsApp Flows of the account, returning only their id and
        name, paginated with page/pageSize. Use the id to fetch flow responses.
      operationId: WhatsappFlowPublicController_listFlows
      parameters:
        - name: x-api-key
          in: header
          description: >-
            API key needed to authorize the request. The key role must include
            the templates read permission.
          required: true
          schema:
            type: string
        - name: page
          required: false
          in: query
          description: Page number, starting at 1
          schema:
            minimum: 1
            maximum: 9007199254740991
            example: 1
            type: number
        - name: pageSize
          required: false
          in: query
          description: Number of flows per page (1-200)
          schema:
            minimum: 1
            maximum: 200
            example: 50
            type: number
      responses:
        '200':
          description: Flows retrieved successfully.
          content:
            application/json:
              schema:
                type: object
                properties:
                  items:
                    type: array
                    items:
                      type: object
                      properties:
                        id:
                          type: string
                          example: df980fc8-b6db-4820-bf22-2969482d106d
                        name:
                          type: string
                          example: Customer Satisfaction
                  page:
                    type: number
                    example: 1
                  pageSize:
                    type: number
                    example: 50
                  total:
                    type: number
                    example: 44
                  totalPages:
                    type: number
                    example: 1
                  hasNextPage:
                    type: boolean
                    example: false
        '401':
          description: Invalid or missing API key.

````